.header {
    position: fixed;
    width: 100%;
    z-index: 10;

    &--black {
        .header {
            &__logo {
                background-image: url("../images/logo-black.svg");
            }
        }

        .hamburger {
            &__menu {
                background-color: $black;
                border-color: $black;
            }
        }
    }

    &__logo {
        top: 1.5em;
        width: 2.15em;
        height: 2.15em;
        position: absolute;
        background-position: center center;
        background-repeat: no-repeat;
        background-image: url("../images/logo-white.svg");
        opacity: 0;
        transition: all 0.5s ease;

        &--show {
            transition: all 0.5s ease;
            opacity: 1;
        }

        @media (min-width: $sm) {
            width: 2.5em;
            height: 2.5em;
        }

        @media (min-width: $md) {
            top: 2.5em;
            width: 2.75em;
            height: 2.75em;
        }
    }
}
